<?xml version="1.0" encoding="windows-1252"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">
<xsl:script language="JavaScript">
function putTotal(obj,q) {
  r = 0;
  for (var i=0; i&lt;obj.selectNodes("act").length; i++) {
    r += parseInt(obj.selectNodes("act")[i].getAttribute(q));
    }
  return r;
  }
function putColor(obj) {
  return (obj.getAttribute("result") == "g")?"#00cc00":"#cc0000";
  }
function putNorm(obj) {
  return (obj.getAttribute("result") == "g")?"groene dag":"rode dag";
  }
function putDotColor(obj) {
  return (obj.getAttribute("result") == "g")?"groen":"rood";
  }
</xsl:script>
<xsl:template match="/">
<html>
<head>
	<title>Activiteitenplanning van <xsl:value-of select="gebruiker/naam"/> voor week: 1</title>
<link rel="stylesheet" href="../resources/rapport.css" />
</head>
<body scroll="yes" onload="parent.PrintPage.focus(); parent.PrintPage.print();">
<h1>Activiteitenplanning van <xsl:value-of select="gebruiker/naam"/> voor week: 1</h1>
<table width="100%">
<tr>
<th width="6%">Dag</th>
<th width="10%">Totaal (Kcal)</th>
<th colspan="2" width="100%" align="left">Planning activiteiten</th>
</tr>
<xsl:if test="gebruiker/data/planweek[@num='1']/dag[@naam='ma']"><xsl:apply-templates select="gebruiker/data/planweek[@num='1']/dag[@naam='ma']"/></xsl:if>
<xsl:if test="gebruiker/data/planweek[@num='1']/dag[@naam='di']"><xsl:apply-templates select="gebruiker/data/planweek[@num='1']/dag[@naam='di']"/></xsl:if>
<xsl:if test="gebruiker/data/planweek[@num='1']/dag[@naam='wo']"><xsl:apply-templates select="gebruiker/data/planweek[@num='1']/dag[@naam='wo']"/></xsl:if>
<xsl:if test="gebruiker/data/planweek[@num='1']/dag[@naam='do']"><xsl:apply-templates select="gebruiker/data/planweek[@num='1']/dag[@naam='do']"/></xsl:if>
<xsl:if test="gebruiker/data/planweek[@num='1']/dag[@naam='vr']"><xsl:apply-templates select="gebruiker/data/planweek[@num='1']/dag[@naam='vr']"/></xsl:if>
<xsl:if test="gebruiker/data/planweek[@num='1']/dag[@naam='za']"><xsl:apply-templates select="gebruiker/data/planweek[@num='1']/dag[@naam='za']"/></xsl:if>
<xsl:if test="gebruiker/data/planweek[@num='1']/dag[@naam='zo']"><xsl:apply-templates select="gebruiker/data/planweek[@num='1']/dag[@naam='zo']"/></xsl:if>
</table>
</body>
</html>
</xsl:template>
<xsl:template match="dag">
<tr>
<td colspan="3"></td>
<td><table width="100%"><tr><td width="80%" class="noborder"><b>activiteit</b></td><td width="10%" class="noborder"><b>tijd</b></td><td width="10%" class="noborder"><b>kcal</b></td></tr></table></td>
</tr>
<tr>
<td rowspan="5" align="center" valign="top"><b><xsl:value-of select="./@naam"/></b><br /><img width="22" height="22" vspace="4" alt="" border="0"><xsl:attribute name="src">../images/dot_<xsl:eval>putDotColor(this)</xsl:eval>.gif</xsl:attribute></img></td>
<td rowspan="5" valign="top"><xsl:value-of select="./@totaal"/><br/>(<xsl:eval>putNorm(this)</xsl:eval>)</td>
<td align="right"><b>werk</b></td>
<td width="100%"><table width="100%"><xsl:apply-templates select="act[@num='0']//item" /></table></td>
</tr>
<tr>
<td align="right"><b>huishouden</b></td>
<td width="100%"><table width="100%"><xsl:apply-templates select="act[@num='1']//item" /></table></td>
</tr>
<tr>
<td align="right"><b>lopen &amp; fietsen</b></td>
<td width="100%"><table width="100%"><xsl:apply-templates select="act[@num='2']//item" /></table></td>
</tr>
<tr>
<td align="right"><b>klussen &amp; tuinieren</b></td>
<td width="100%"><table width="100%"><xsl:apply-templates select="act[@num='3']//item" /></table></td>
</tr>
<tr>
<td align="right"><b>sport &amp; ontspanning</b></td>
<td width="100%"><table width="100%"><xsl:apply-templates select="act[@num='4']//item" /></table></td>
</tr>
</xsl:template>
<xsl:template match="item">
<tr><td width="80%" class="noborder"><xsl:value-of /></td><td width="10%" class="noborder"><xsl:value-of select="./@tijd"/></td><td width="10%" class="noborder"><xsl:value-of select="./@kcal"/></td></tr>
</xsl:template>
</xsl:stylesheet>
