<?xml version="1.0" encoding="windows-1252"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">
<xsl:script language="JavaScript">
function putTotal(obj,q) {
  r = 0;
  for (var i=0; i&lt;obj.selectNodes("act").length; i++) {
    r += parseInt(obj.selectNodes("act")[i].getAttribute(q));
    }
  return r;
  }
function putColor(obj) {
  return (obj.getAttribute("result") == "g")?"#00cc00":"#cc0000";
  }
function putNorm(obj) {
  return (obj.getAttribute("result") == "g")?"groene dag":"rode dag";
  }
function putDotColor(obj) {
  return (obj.getAttribute("result") == "g")?"groen":"rood";
  }
function putDetail(obj,tabnum,int) {
  root = obj;
  count = 0;
  xslQuery = "gebruiker/data/week[@num='1']//act[@num = '" + tabnum + "']";
  for (var i=0; i&lt;root.selectNodes(xslQuery).length; i++) {
    count += parseInt(root.selectNodes(xslQuery)[i].getAttribute(int));
    }
  return count;
  }
</xsl:script>
<xsl:template match="/">
<html>
<head>
	<title>Weekrapport van <xsl:value-of select="gebruiker/naam"/> voor week: 1</title>
<link rel="stylesheet" href="../resources/rapport.css" />
</head>
<body scroll="yes" onload="parent.PrintPage.focus(); parent.PrintPage.print();">
<h1>Weekrapport van <xsl:value-of select="gebruiker/naam"/> voor week: 1</h1>
<p>U bent deze week voldoende lichamelijk actief geweest.
Het resultaat is een gezonde groene week.
Strikt genomen voldoet iemand pas aan de Nederlandse Norm Gezond Bewegen als hij of zij tenminste vijf dagen matig of zwaar lichamelijk actief is geweest (vijf groene dagen). 
Voor u geldt dat u vier groene dagen heeft. Dat uw week toch groen is komt omdat u langer dan 30 minuten per dag actief bent geweest. Streef er echter naar om de activiteiten over tenminste vijf dagen van de week te spreiden waarbij u elke dag minstens 30 minuten matig of zwaar lichamelijk actief bent.</p>
<h2>Weekresultaten gerangschikt per dag</h2>
<table width="100%">
<tr>
<th width="6%">Dag</th>
<th width="10%">Totaal (Kcal)</th>
<th width="8%">Tijd (min)</th>
<th valign="middle" align="left" width="76%"><img src="../images/pixel_laag.gif" height="6" widtht="6" border="1"/> laag intensief <img src="../images/pixel_matig.gif" height="6" widtht="6" border="1"/> matig intensief <img src="../images/pixel_zwaar.gif" height="6" widtht="6" border="1"/> zwaar intensief</th>
</tr>
<xsl:apply-templates select="gebruiker/data/week[@num='1']/dag[@naam='ma']"/>
<xsl:apply-templates select="gebruiker/data/week[@num='1']/dag[@naam='di']"/>
<xsl:apply-templates select="gebruiker/data/week[@num='1']/dag[@naam='wo']"/>
<xsl:apply-templates select="gebruiker/data/week[@num='1']/dag[@naam='do']"/>
<xsl:apply-templates select="gebruiker/data/week[@num='1']/dag[@naam='vr']"/>
<xsl:apply-templates select="gebruiker/data/week[@num='1']/dag[@naam='za']"/>
<xsl:apply-templates select="gebruiker/data/week[@num='1']/dag[@naam='zo']"/>
</table>

<h2>Weektotalen gerangschikt naar activiteit</h2>
<table width="100%">
<tr>
<td><i>tijd in minuten</i></td>
<th width="15%">werk</th>
<th width="15%">huishouden</th>
<th width="15%">lopen<br />fietsen</th>
<th width="15%">klussen<br />tuinieren</th>
<th width="15%">sport<br />ontspanning</th>
</tr>
<tr>
<td>laag intensief</td>
<td align="center"><xsl:eval>putDetail(this,0,'r1')</xsl:eval></td>
<td align="center"><xsl:eval>putDetail(this,1,'r1')</xsl:eval></td>
<td align="center"><xsl:eval>putDetail(this,2,'r1')</xsl:eval></td>
<td align="center"><xsl:eval>putDetail(this,3,'r1')</xsl:eval></td>
<td align="center"><xsl:eval>putDetail(this,4,'r1')</xsl:eval></td>
</tr>
<tr>
<td>matig intensief</td>
<td align="center"><xsl:eval>putDetail(this,0,'r2')</xsl:eval></td>
<td align="center"><xsl:eval>putDetail(this,1,'r2')</xsl:eval></td>
<td align="center"><xsl:eval>putDetail(this,2,'r2')</xsl:eval></td>
<td align="center"><xsl:eval>putDetail(this,3,'r2')</xsl:eval></td>
<td align="center"><xsl:eval>putDetail(this,4,'r2')</xsl:eval></td>
</tr>
<tr>
<td>zwaar intensief</td>
<td align="center"><xsl:eval>putDetail(this,0,'r3')</xsl:eval></td>
<td align="center"><xsl:eval>putDetail(this,1,'r3')</xsl:eval></td>
<td align="center"><xsl:eval>putDetail(this,2,'r3')</xsl:eval></td>
<td align="center"><xsl:eval>putDetail(this,3,'r3')</xsl:eval></td>
<td align="center"><xsl:eval>putDetail(this,4,'r3')</xsl:eval></td>
</tr>
</table>

</body>
</html>
</xsl:template>
<xsl:template match="dag">
<tr>
<td rowspan="3" align="center" valign="top"><!-- xsl:attribute name="bgcolor"><xsl:eval>putColor(this)</xsl:eval></xsl:attribute --><b><xsl:value-of select="./@naam"/></b><br />
<img width="22" height="22" vspace="4" alt="" border="0"><xsl:attribute name="src">../images/dot_<xsl:eval>putDotColor(this)</xsl:eval>.gif</xsl:attribute></img></td>
<td rowspan="3" valign="top"><xsl:value-of select="./@totaal"/><br/>(<xsl:eval>putNorm(this)</xsl:eval>)</td>
<td><span id="tijd">laag: <xsl:eval>putTotal(this,'r1')</xsl:eval></span></td>
<td width="100%"><img src="../images/pixel_laag.gif" height="12" border="1"><xsl:attribute name="width"><xsl:eval>parseInt(putTotal(this,'r1'))</xsl:eval></xsl:attribute></img></td>
</tr>
<tr>
<td><span id="tijd">matig: <xsl:eval>putTotal(this,'r2')</xsl:eval></span></td>
<td width="100%"><img src="../images/pixel_matig.gif" height="12" border="1"><xsl:attribute name="width"><xsl:eval>parseInt(putTotal(this,'r2'))</xsl:eval></xsl:attribute></img></td>
</tr>
<tr>
<td><span id="tijd">zwaar: <xsl:eval>putTotal(this,'r3')</xsl:eval></span></td>
<td width="100%"><img src="../images/pixel_zwaar.gif" height="12" border="1"><xsl:attribute name="width"><xsl:eval>parseInt(putTotal(this,'r3'))</xsl:eval></xsl:attribute></img></td>
</tr>
</xsl:template>
</xsl:stylesheet>
